Public API
List project languages
Returns all unique languages configured for the project. Requires `canViewTranslations` permission.
sb-access-token<token>
Supabase Auth session cookie. Automatically set when users log in via the Movabase web app.
In: cookie
Path Parameters
project-id*string
Project ID
Format
uuidResponse Body
application/json
curl -X GET "https://app.movabase.com/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/languages"{
"languages": [
{
"code": "string",
"name": "string",
"emoji": "string"
}
]
}List project files
Returns file_translation records for the project. Optionally filter by file name and/or language. Requires `canViewTranslations` permission.
List translation keys
Returns the unique set of translation keys for a specific file and language combination. Requires `canViewTranslations` permission.